# Buffer.PlainBuffer (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.common
Class Buffer.PlainBuffer

    java.lang.Object
      net.schmizz.sshj.common.Buffer<Buffer.PlainBuffer>
          net.schmizz.sshj.common.Buffer.PlainBuffer

Enclosing class:
  Buffer<T extends Buffer<T>>

    public static class Buffer.PlainBuffer

extends Buffer<Buffer.PlainBuffer>

Nested Class Summary

Nested classes/interfaces inherited from class net.schmizz.sshj.common.Buffer
`Buffer.BufferException, Buffer.PlainBuffer`

Field Summary

Fields inherited from class net.schmizz.sshj.common.Buffer
`data, DEFAULT_SIZE, rpos, wpos`

Constructor Summary
`Buffer.PlainBuffer()`
`Buffer.PlainBuffer(Buffer<?> from)`
`Buffer.PlainBuffer(byte[] b)`
`Buffer.PlainBuffer(int size)`

Method Summary

Methods inherited from class net.schmizz.sshj.common.Buffer

`array, available, clear, compact, ensureAvailable, ensureCapacity, getCompactData, getNextPowerOf2, printHex, putBoolean, putBuffer, putByte, putBytes, putBytes, putMPInt, putMPInt, putPublicKey, putRawBytes, putRawBytes, putSensitiveString, putSignature, putString, putString, putString, putUInt32, putUInt64, readBoolean, readByte, readBytes, readMPInt, readMPIntAsBytes, readPublicKey, readRawBytes, readRawBytes, readString, readStringAsBytes, readUInt32, readUInt32AsInt, readUInt64, rpos, rpos, toString, wpos, wpos`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Buffer.PlainBuffer

    public Buffer.PlainBuffer()

### Buffer.PlainBuffer

    public Buffer.PlainBuffer(Buffer<?> from)

### Buffer.PlainBuffer

    public Buffer.PlainBuffer(byte[] b)

### Buffer.PlainBuffer

    public Buffer.PlainBuffer(int size)

Copyright © 2009-2011. All Rights Reserved.